#!/usr/bin/perl
##########################################################################
#                                                                        #
# Perl Script for Cleaning SIP Registeration in Portaone 'location'      #
# Switzernet(c)2011                                                      #
#                                                                        #
##########################################################################
# my modules
use strict;
use warnings;
use DBI;
use Sys::Syslog;
use Config::IniFiles;
##########################################################################
# Setting
my $config_dir = '/etc/astrad/config';
my $dbh;
##########################################################################
# Globals
my ($LOCAL_HOST,$DB_NAME,$DB_HOST,$DB_USER,$DB_PASS);
##########################################################################
#                                 main()                                 #
########################################################################## 
my $conf=Config::IniFiles->new(-file => "$config_dir/switzer.conf");
if (!defined $conf) {
    print "ERROR: loading configuration $config_dir/switzer.conf\n";
    exit;
}
$LOCAL_HOST = $conf->val('GLOBAL','NAS_IP');    
$DB_NAME    = $conf->val('MASTER_DB','DB_NAME');
$DB_HOST    = $conf->val('MASTER_DB','DB_HOST');
$DB_USER    = $conf->val('MASTER_DB','DB_USER');
$DB_PASS    = $conf->val('MASTER_DB','DB_PASS'); 
$dbh = DBI->connect("DBI:mysql:$DB_NAME;host=$DB_HOST", $DB_USER, $DB_PASS, {PrintError=>0});
openlog('clean-register','cons,pid','deamon');
if (defined $dbh) {
        my $request="delete from location where domain='$LOCAL_HOST'";
        my $sth = $dbh->prepare($request);
        $sth->execute();
		print "Successful cleaning registration to database $DB_NAME on $DB_HOST\n";
}
else {
		print "Could not cleaning registration to database $DB_NAME on $DB_HOST\n";
}
##########################################################################
#                                  END                                   #
##########################################################################